Bug 192033 - [patch] mail/dma fixes
Summary: [patch] mail/dma fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-22 12:55 UTC by Anton Yuzhaninov
Modified: 2014-12-29 23:07 UTC (History)
2 users (show)

See Also:


Attachments
patch (5.42 KB, patch)
2014-07-22 12:55 UTC, Anton Yuzhaninov
no flags Details | Diff
Makefile patch (608 bytes, patch)
2014-12-22 16:07 UTC, Anton Yuzhaninov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2014-07-22 12:55:10 UTC
Created attachment 144873 [details]
patch

Current issues with mail/dma:
1. It is not possible to run make or make package as unprivileged user
2. directory /var/spool/dma is not created if old pkg_tools is used
3. binary files is not stripped
4. EXTRA_PATCHES contains wrong path is port dir moved out of ports tree.

Path to fix this issues attached.
Comment 1 Anton Yuzhaninov 2014-12-22 16:07:19 UTC
Created attachment 150858 [details]
Makefile patch

1. was fixed
2. pkg_tools no longer supported
3. was fixed
4. Still not fixed:

===> Fetching all distfiles required by dma-v0.9_1,1 for building
===>  Extracting for dma-v0.9_1,1
=> SHA256 Checksum OK for dma-v0.9.
===>  Patching for dma-v0.9_1,1
===>  Applying extra patch /usr/home/mail/dma/files/extrapatch-else-spool.c
cat: /usr/home/mail/dma/files/extrapatch-else-spool.c: No such file or directory
  I can't seem to find a patch in there anywhere.
*** Error code 2

Patch updated.
Comment 2 commit-hook freebsd_committer 2014-12-29 23:06:58 UTC
A commit references this bug:

Author: bapt
Date: Mon Dec 29 23:06:30 UTC 2014
New revision: 375809
URL: https://svnweb.freebsd.org/changeset/ports/375809

Log:
  Use regular EXTRA_PATCHES definition

  PR:		192033
  Submitted by:	Anton Yuzhaninov <citrin+pr@citrin.ru>

Changes:
  head/mail/dma/Makefile
Comment 3 Baptiste Daroussin freebsd_committer 2014-12-29 23:07:22 UTC
Sorry it took so long